apiVersion: broker.amq.io/v1beta1
kind: ActiveMQArtemis
metadata:
  creationTimestamp: "2022-09-05T11:34:47Z"
  generation: 4
  managedFields:
  - apiVersion: broker.amq.io/v1beta1
    fieldsType: FieldsV1
    fieldsV1:
      f:spec:
        .: {}
        f:acceptors: {}
        f:addressSettings: {}
        f:console: {}
        f:deploymentPlan:
          .: {}
          f:clustered: {}
          f:extraMounts: {}
          f:image: {}
          f:journalType: {}
          f:livenessProbe: {}
          f:managementRBACEnabled: {}
          f:messageMigration: {}
          f:persistenceEnabled: {}
          f:podSecurity: {}
          f:readinessProbe: {}
          f:resources: {}
          f:size: {}
          f:storage:
            .: {}
            f:size: {}
        f:upgrades:
          .: {}
          f:enabled: {}
          f:minor: {}
    manager: Mozilla
    operation: Update
    time: "2022-09-05T11:34:47Z"
  - apiVersion: broker.amq.io/v1beta1
    fieldsType: FieldsV1
    fieldsV1:
      f:spec:
        f:version: {}
    manager: oc
    operation: Update
    time: "2022-09-05T15:06:57Z"
  - apiVersion: broker.amq.io/v1beta1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        .: {}
        f:podStatus:
          .: {}
          f:ready: {}
    manager: amq-broker-operator
    operation: Update
    subresource: status
    time: "2022-09-05T16:38:28Z"
  name: broker
  namespace: amq794
  resourceVersion: "2184689"
  uid: 35d1599f-860b-4aaa-9927-3896fb8742bb
spec:
  acceptors:
  - expose: true
    name: amq-custom-acceptor
    port: 61626
    protocols: all
  addressSettings: {}
  console: {}
  deploymentPlan:
    clustered: true
    extraMounts: {}
    image: placeholder
    journalType: nio
    livenessProbe: {}
    managementRBACEnabled: true
    messageMigration: true
    persistenceEnabled: true
    podSecurity: {}
    readinessProbe: {}
    resources: {}
    size: 2
    storage:
      size: 5Gi
  upgrades:
    enabled: true
    minor: true
  version: 7.9.4
status:
  podStatus:
    ready:
    - broker-ss-0
    - broker-ss-1
